# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(DBI.pm) perl-devel perl-pod perl-podlators perldoc
# END SourceDeps(oneline)
Name:           perl-Class-DBI-Pager
Version:        0.08
Release:        alt1_17
Summary:        Pager utility for Class::DBI
Group:          Development/Perl
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Class-DBI-Pager
Source0:        http://search.cpan.org/CPAN/authors/id/M/MI/MIYAGAWA/Class-DBI-Pager-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:	perl(Class/DBI.pm) perl(Data/Page.pm) perl(Exporter/Lite.pm) perl(DBD/SQLite.pm)
BuildRequires:  perl(Test/More.pm) perl(ExtUtils/MakeMaker.pm)
BuildRequires:	perl(Pod/Perldoc.pm)
Source44: import.info

%description
%{summary}.

%prep
%setup -q -n Class-DBI-Pager-%{version}
perldoc -t perlartistic > Artistic
perldoc -t perlgpl > COPYING

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Artistic COPYING Changes
%{perl_vendor_privlib}/Class/DBI

%changelog
* Wed Mar 13 2013 Igor Vlasenko <viy@altlinux.ru> 0.08-alt1_17
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.08-alt1_15
- update to new release by fcimport

* Sun May 27 2012 Igor Vlasenko <viy@altlinux.ru> 0.08-alt1_13
- fc import

